extern number t;
extern number tim;

extern vec2 resolution;

vec4 effect( vec4 color, Image texture, vec2 uv, vec2 screen_coords ){
  float stripe = sin(uv.y*10.0-0.02*tim*(50+cos(tim)*sin(tim)))*cos(t*1.0)*sin(uv.x*100015.0*sin(45*uv.y+tim/4000.0));
  vec4 finalColor = Texel(texture, uv);
  finalColor = finalColor + 0.3*(1-2*length(uv-vec2(0.5)));
  //finalColor = finalColor + 0.2*vec4(vec3(smoothstep(0.2,0.8,stripe)), 1.0);
  vec4 sideColor = Texel(texture, uv + vec2(0.00044*(1+stripe),0.001));
  vec4 sideColor2 = Texel(texture, uv - vec2(0.00044*(1+stripe),-0.001));
  finalColor.x = mix(sideColor,finalColor, 0.2).z;
  finalColor.y = mix(sideColor2,finalColor, 0.2).y;


  return finalColor*color;
}
